Bug 1717923 - vms/instances view gets broken after attempt to open advanced search
Summary: vms/instances view gets broken after attempt to open advanced search
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.6
Assignee: Martin Hradil
QA Contact: Ievgen Zapolskyi
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1712872
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-06 13:12 UTC by Satoe Imaishi
Modified: 2019-07-02 04:33 UTC (History)
6 users (show)

Fixed In Version: 5.10.6.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1712872
Environment:
Last Closed: 2019-07-02 04:33:27 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1644 None None None 2019-07-02 04:33:36 UTC

Comment 3 CFME Bot 2019-06-10 13:57:46 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/a780d212d4ccfd8d4864d301669260859f5bd8eb
commit a780d212d4ccfd8d4864d301669260859f5bd8eb
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Wed Jun  5 14:04:05 2019 -0400
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Wed Jun  5 14:04:05 2019 -0400

    Merge pull request #5629 from himdel/adv-search

    Advanced search modal - only render once, always, hidden

    (cherry picked from commit f8d713149e3ef6a46b21c9eb51a084c606a984a3)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1717923

 app/controllers/application_controller/advanced_search.rb | 12 +-
 app/controllers/application_controller/explorer.rb | 5 +
 app/controllers/application_controller/filter.rb | 8 +-
 app/controllers/automation_manager_controller.rb | 7 +-
 app/controllers/infra_networking_controller.rb | 9 +-
 app/controllers/miq_policy_controller.rb | 3 +-
 app/controllers/mixins/manager_controller_mixin.rb | 6 +-
 app/controllers/provider_foreman_controller.rb | 10 +-
 app/controllers/storage_controller.rb | 9 +-
 app/controllers/vm_common.rb | 6 +-
 app/views/layouts/_adv_search.html.haml | 54 +-
 app/views/layouts/_adv_search_body.html.haml | 158 +-
 app/views/layouts/_adv_search_footer.html.haml | 179 +-
 app/views/layouts/_searchbar.html.haml | 3 -
 app/views/layouts/_x_adv_searchbox.html.haml | 6 +-
 spec/controllers/vm_common_spec.rb | 1 +
 16 files changed, 229 insertions(+), 247 deletions(-)

Comment 4 Ievgen Zapolskyi 2019-06-14 08:37:55 UTC
Verified in 5.10.6.0

Comment 6 errata-xmlrpc 2019-07-02 04:33:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1644


Note You need to log in before you can comment on or make changes to this bug.